Orgs Assistants
Get Assistant
Fetch a specific assistant by ID.
GET
/
orgs
/
{org_id}
/
assistants
/
{assistant_id}
Get Assistant
curl --request GET \
--url https://api.useinvent.com/orgs/{org_id}/assistants/{assistant_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/{org_id}/assistants/{assistant_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/{org_id}/assistants/{assistant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"enabled": true,
"deleted": true,
"secret_key": "<string>",
"avatar_url": "<string>",
"config": {
"language": "auto",
"model": "<string>",
"stt": {
"model": "<string>"
},
"tts": {
"model": "<string>",
"voice_id": "<string>"
},
"conversation": {
"thread_mode": "new",
"enable_memories": true,
"enable_transfer_to_human_tool": true,
"welcome_banner": "<string>",
"suggested_messages": [
"<string>"
],
"auto_intro_message": "<string>",
"enable_end_conversation_tool": true,
"routing_instructions": "<string>",
"enable_block_contact_tool": true,
"enable_ai_replies": true,
"enable_auto_resolve": true,
"enable_auto_follow_ups": true,
"follow_up_instructions": "<string>",
"enable_auto_csat": true,
"enable_private_chats": true,
"enable_update_contact_tool": true
},
"knowledge_scope": "all",
"timezone": "<string>",
"instructions": "<string>",
"widget": {}
},
"integrations": [
{
"id": "<string>",
"enabled": true,
"integration_id": "internal",
"assistant_id": "<string>",
"connection_id": "<string>",
"config": {},
"error": "<string>",
"platform_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"actions": [
{
"id": "<string>",
"enabled": true,
"name": "<string>",
"instructions": "<string>",
"action_id": "TOOLS:HTTP_REQUEST",
"assistant_id": "ast_XXX",
"connection_id": "con_XXX",
"config": {
"input": {},
"definitions": [
{
"path": "<string>",
"definition": {}
}
]
},
"approval_mode": "auto",
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"contact_fields": [
{
"mode": "none",
"field": {
"id": "<string>",
"table_id": "<string>",
"key": "<string>",
"type": "id",
"schema": {
"type": "file",
"name": "<string>",
"description": "<string>",
"optional": true,
"array": true,
"placeholder": "<string>",
"display": {
"field": "inline",
"container": "grid",
"empty": "show",
"render": "button"
},
"order": 1,
"link": "<string>",
"metadata": {},
"allowed_modes": [
"all"
],
"broadcast_field": true,
"broadcast_exposed": true,
"integration_field": true,
"display_field": true,
"conditions": [
{
"field": "<string>",
"operator": "eq",
"value": "<unknown>"
}
],
"hidden": true,
"picker": {
"type": "google_drive",
"views": [
"DOCS"
],
"selectable_mime_types": [
"<string>"
]
},
"requires": [
"<string>"
],
"disable_variables": true,
"allowed_types": [
"<string>"
],
"visibility": "PRIVATE",
"default": {
"id": "<string>",
"file_path": "<string>",
"file_filename": "document.pdf",
"file_size": 1024,
"file_mimetype": "application/pdf",
"file_url": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
},
"readonly": true,
"sortable": true,
"groupable_in": [
"table"
],
"kind": "system"
},
"created_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"members": [
{
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatar": "<string>",
"role": "ADMIN",
"status": "ACTIVE",
"description": "<string>",
"org_id": "<string>",
"user_id": "<string>",
"preferences": {
"notifications": {
"assigned_to_me": {
"enabled": true,
"notified_at": "2023-11-07T05:31:56Z"
},
"billing": {
"enabled": true,
"notified_at": "2023-11-07T05:31:56Z"
}
}
},
"roles": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"color": "red",
"permissions": [
"org:write"
]
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"seen_at": "2023-11-07T05:31:56Z"
}
],
"members_count": 123
}Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the assistant
Response
200 - application/json
The assistant details.
Schema for an assistant
The name of the assistant
Whether the assistant is enabled
Whether the assistant has been soft-deleted
The secret key to create session hashes
The URL of the avatar photo
Schema for the configuration of an assistant
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Bounded preview of assigned members (list reads only) for the collage
Show child attributes
Show child attributes
Total number of assigned members (list reads only)
Was this page helpful?
⌘I
Get Assistant
